PACCONF(1)

NUME
pacconf - interoghează fișierul de configurare al «pacman»

SINOPSIS
 pacconf [opțiuni] [<directivă>...]
 pacconf (--repo-list|--help|--version)

DESCRIERE
Interoghează opțiunile de configurare din fișierul de configurare al «pacman». Dacă nu sunt furnizate directive, întreaga configurație va fi afișată într-un format normalizat. În mod implicit, dacă este furnizată o singură directivă, va fi afișată doar valoarea acesteia, fără numele opțiunii. Pentru directivele fără valoare, numele directivei va fi folosit ca valoare.

Valorile afișate sunt valorile finale, așa cum ar fi analizate de pacman însuși. Toate valorile implicite sunt stabilite, directivele "Include" sunt procesate, variabilele $arch și $repo din serverele de depozit sunt înlocuite, iar "Architecture" va fi înlocuită dacă este stabilită la "auto".

OPȚIUNI

--config=ruta
    Stabilește o rută alternativă pentru fișierul de configurare.

--root=ruta
    Stabilește o rădăcină de instalare alternativă.

--sysroot=ruta
    Stabilește o rădăcină alternativă a sistemului. A se vedea pacutils-sysroot(7).

--arch=arhitectura
    Stabilește o arhitectură alternativă.

--null[=separator]
    Stabilește un separator alternativ pentru valorile analizate din intrarea-standard. În mod implicit, ca separator se utilizează o nouă linie "\n". Dacă se utilizează --null fără a se specifica separator, se va folosi "NUL".

--options
    Afișează numai configurările globale din secțiunea "[options]". Antetul "[options]" în sine nu este afișat.

--raw
    Afișează valorile nemodificate. Directivele "Include" vor fi procesate, dar nu vor fi stabilite valorile implicite, variabilele $arch și $repo din serverele de depozit nu vor fi înlocuite, iar "Architecture" nu vor fi înlocuite dacă sunt stabilite la "auto".

--repo=nume
    Afișează numai directivele pentru depozitul nume. Antetul depozitului nu este afișat.

--repo-list
    Listează depozitele configurate.

--single
    Afișează numai prima valoare a opțiunilor cu mai multe valori.

--verbose
    Afișează întotdeauna numele directivelor, chiar dacă este furnizată doar o singură directivă.

--help
    Afișează informațiile de utilizare și iese.

--version
    Afișează informațiile despre versiune și iese.

EXEMPLE

Verifică dacă este activată culoarea:
     color=$(pacconf color)   [[ -n $color ]] && ... # imprimă ceva în culori

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.